Bug 184833 - databases/wmjsql: Fix build on -current
Summary: databases/wmjsql: Fix build on -current
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-16 18:10 UTC by tkato432
Modified: 2014-01-25 16:50 UTC (History)
0 users

See Also:


Attachments
file.diff (3.16 KB, patch)
2013-12-16 18:10 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2013-12-16 18:10:08 UTC
- Fix build on -current
- Add LICENSE
- Support PLIST_FILES

Remove file:
files/patch-Makefile
pkg-plist
Comment 1 Martin Wilke freebsd_committer 2014-01-23 15:45:49 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 dfilter service freebsd_committer 2014-01-25 16:45:08 UTC
Author: miwi
Date: Sat Jan 25 16:45:01 2014
New Revision: 341051
URL: http://svnweb.freebsd.org/changeset/ports/341051
QAT: https://qat.redports.org/buildarchive/r341051/

Log:
  - Fix build on -current
  - Add LICENSE
  - Support PLIST_FILES
  - Stage support
  
  PR:		184833
  Submitted by:	ports fury

Deleted:
  head/databases/wmjsql/files/
  head/databases/wmjsql/pkg-plist
Modified:
  head/databases/wmjsql/Makefile

Modified: head/databases/wmjsql/Makefile
==============================================================================
--- head/databases/wmjsql/Makefile	Sat Jan 25 16:39:52 2014	(r341050)
+++ head/databases/wmjsql/Makefile	Sat Jan 25 16:45:01 2014	(r341051)
@@ -11,32 +11,41 @@ MASTER_SITES=	http://www.dockapps.org/fi
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	MySQL server status displaying dockapp
 
-USE_MYSQL=	yes
+LICENSE=	GPLv2 # (or later)
+
+WRKSRC=		${WRKDIR}/${PORTNAME}/src
+
 USES=		gmake
+USE_MYSQL=	yes
 USE_XORG=	xpm
-
 ALL_TARGET=	clean all
 MAKE_JOBS_UNSAFE=	yes
 
-WRKSRC=		${WRKDIR}/${PORTNAME}/src
+CPPFLAGS+=	-I${LOCALBASE}/include/X11 -I${LOCALBASE}/include
+LDFLAGS+=	-L${LOCALBASE}/lib/mysql -L${LOCALBASE}/lib
+
+PORTDOCS=	README
+PLIST_FILES=	bin/${PORTNAME}
 
-NO_STAGE=	yes
 post-patch:
-	@${REINPLACE_CMD} -e 's,^INCDIR.*$$,INCDIR = -I${PREFIX}/include/X11 \
-		-I${PREFIX}/include -I${LOCALBASE}/include,' \
-		-e 's,^LIBDIR.*$$,LIBDIR = -L${PREFIX}/lib \
-		-L${LOCALBASE}/lib/mysql,' -e '/^CC/d; /^CFLAGS/d' \
-		-e 's,-D$$(shell echo `uname -s`),,' ${WRKSRC}/Makefile \
-		${WRKSRC}/jDockApp/Makefile ${WRKSRC}/xutils/Makefile
-	@${REINPLACE_CMD} -E 's,\.wmjsql([^r]),\.wmjsqlrc\1,' \
-		${WRKSRC}/wmjsql.jet ${WRKSRC}/../README
+.for i in Makefile jDockApp/Makefile xutils/Makefile
+	@${REINPLACE_CMD} -e \
+		'/^INCDIR/s|=.*|= $${CPPFLAGS}| ; \
+		 /^LIBDIR/s|=.*|= $${LDFLAGS}| ; \
+		 /^CC/d ; \
+		 /^CFLAGS/d ; \
+		 s| make | $$(MAKE) | ; \
+		 s|-D$$(shell echo `uname -s`)||' ${WRKSRC}/${i}
+.endfor
+.for i in wmjsql.jet ../README
+	@${REINPLACE_CMD} -E 's|\.wmjsql([^r])|\.wmjsqlrc\1|' \
+		${WRKSRC}/${i}
+.endfor
 
 do-install:
-	${INSTALL_PROGRAM} ${WRKSRC}/${PORTNAME} ${PREFIX}/bin
-
-.if !defined(NOPORTDOCS)
-	@${MKDIR} ${DOCSDIR}
-	${INSTALL_DATA} ${WRKSRC}/../README ${DOCSDIR}
-.endif
+	(cd ${WRKSRC} && ${INSTALL_PROGRAM} ${PORTNAME} \
+		${STAGEDIR}${PREFIX}/bin)
+	@${MKDIR} ${STAGEDIR}${DOCSDIR}
+	(cd ${WRKSRC}/.. && ${INSTALL_DATA} README ${STAGEDIR}${DOCSDIR})
 
 .include <bsd.port.mk>
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Martin Wilke freebsd_committer 2014-01-25 16:45:11 UTC
State Changed
From-To: open->closed

- Committed